/*
 * $Source: src/common/support/snd.h $
 *
 * os-dependant sound routines
 */

/* $Id: snd.h 1.2 Fri, 15 Jun 2001 19:13:55 -0400 nyef $ */

#ifndef SND_H
#define SND_H

#include <common/types.h>

void snd_init(void);
int snd_open(int sample_rate);
int snd_open_stereo(int sample_rate);
int snd_open_stereo_16(int sample_rate);
void snd_close(void);
void snd_output_4_waves(int samples, u8 *wave1, u8 *wave2, u8 *wave3, u8 *wave4);
void snd_output_8_waves(int samples, u8 *wave1, u8 *wave2, u8 *wave3, u8 *wave4, u8 *wave5, u8 *wave6, u8 *wave7, u8 *wave8);
void snd_output_stereo_samples(u8 left, u8 right);
void snd_output_stereo_samples_16(u16 left, u16 right);

#endif /* SND_H */

/* EOF */
